<template>
  <div class="language-selector">
    <button
      v-for="entry in AVAILABLE_LOCALES"
      :key="entry.code"
      class="flag-button"
      :class="{ 'disabled': $i18n.locale !== entry.flag }"
      :title="$t(entry.name)"
      @click="changeLocale(entry.flag)"
    >
      <ClientOnly>
        <country-flag
          :country="entry.code"
          size="normal"
        />
      </ClientOnly>
    </button>
  </div>
</template>

<script src="../scripts/components/language-selector.js"/>
<style lang="scss" src="../styles/components/language-selector.scss"/>
